php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #15189 Segmentation fault __umoddi3
Submitted: 2002-01-23 17:08 UTC Modified: 2002-05-26 14:41 UTC
Votes:2
Avg. Score:5.0 ± 0.0
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:1 (50.0%)
From: nathan at cjhunter dot com Assigned:
Status: Not a bug Package: Verisign Payflow Pro related
PHP Version: 4.1.1 OS: Suse Linux 2.2.19 - libc-2.1.3
Private report: No CVE-ID: None
 [2002-01-23 17:08 UTC] nathan at cjhunter dot com
Hi folks,
  I just added Payflow support to my setup and received the following errors.

> ./httpd.new
Segmentation fault

> gdb httpd.new
GNU gdb 4.18
(gdb) run
Starting program: /usr/local/apache/bin/httpd.new
(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
0x400d428c in __umoddi3 () from /usr/local/src/payflowpro/linux/lib/libpfpro.so
(gdb) backtrace
#0  0x400d428c in __umoddi3 () from /usr/local/src/payflowpro/linux/lib/libpfpro.so
#1  0x400b6678 in PNVersion () from /usr/local/src/payflowpro/linux/lib/libpfpro.so
Cannot access memory at address 0x3.

Apache Configure
./configure --prefix=/usr/local/apache --activate-module=src/modules/php4/libphp4.a --enable-module=ssl

PHP Configure
./configure --with-apache=../apache_1.3.22 --with-mysql=/usr --with-dom=/usr/local --enable-shared --enable-gd-native-ttf --with-gd=/usr/local --enable-sockets --enable-sysvsem --enable-sysvshm --with-tsrm-pthreads --with-zlib-dir=/usr/local --with-zlib --with-png-dir=/usr --with-jpeg-dir=/usr --with-freetype-dir=/usr/local --with-xpm-dir=/usr --with-cybercash=../mck-3.2.0.4-linux --with-pfpro=../payflowpro/linux

> ldd /usr/local/src/payflowpro/linux/lib/libpfpro.so
/lib/libNoVersion.so.1 => /lib/libNoVersion.so.1 (0x400ac000)
libc.so.6 => /lib/libc.so.6 (0x400b7000)
/lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000)

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-01-28 11:38 UTC] cassano at monroe dot net
I debugged the segmentation fault to the ssl_init_Module function. So I then tried compiling apache without mod_ssl support. This fixed the segmentation fault, but left me without mod_ssl. Upon closer inspection of libpfpro.so it appears to have statically linked to openssl 0.95a. I'm sure that the static openssl and the shared openssl are conflicting. So what can I do?
 [2002-05-26 14:41 UTC] derick@php.net
Not a bug in PHP, it has either to do something with mod_ssl or the payflowpro .so file.

Derick
 [2003-08-05 10:34 UTC] bduell at ncacasi dot org
I have verified, through VeriSign, that the SDK of PayflowPro (currently, v. 3.06) is statically linked against the openssl libraries.

They have no plans on changing this design, therefor we will be changing payment processors.

Good luck!
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Tue Nov 24 01:01:24 2020 UTC